#pragma once

class CGpibNi
{
private:
	int m_GpibDevice;											// GPIB Device
	char m_TransferBuffer[65536];								// Transfer buffer

public:
	CString m_ReceiveData;										// Received data

public:
	CGpibNi();
	virtual ~CGpibNi();
	BOOL OpenInterface(int BoardID, int DeviceAddress);
	BOOL CloseInterface();
	BOOL SendMsg(CString SendData);
	BOOL ReceiveMsg(DWORD Timeout);
	BOOL SendQueryMsg(CString SendData, DWORD Timeout);
	CString GetNIErrorMessage();
	CString GetLastErrorMessage(DWORD MessageId);
};
